Subject: mysterous core dumps

From: Mikhael Goikhman <[email-masked]>
Date: Wed, 20 Mar 2002 14:37:20 +0000

On 19 Mar 2002 22:14:31 +0100, Olivier Chapuis wrote:
> 
> which seems buggy at some point (I've got core dump without
> good core but I'am not sure that it is caused by my new code).

I got core dumps with unuseful stack too, when I tried to play with bidi.
For example, I can reproduce one such core dump with this minimal config.

  Restart env LANG=he_IL fvwm2 -f no-rc

  FvwmConsole
  Exec xterm -name `cat tmp-char` +ls

where file tmp-char contains one char "î" (238) with optional newline.

You should get xterm, when you change the title or close it (Ctrl-D) -
core dump. So the problem may or may not be in destroying title string.
Other core dumps I got are not so easily reproducible, pretty random.

Regards,
Mikhael.
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]

---

From: Olivier Chapuis <[email-masked]>
Date: Wed, 20 Mar 2002 19:46:22 +0100

> Other core dumps I got are not so easily reproducible, pretty random.

I think I now where is the problem I will commit a fix soon.
Olivier

---

From: Olivier Chapuis <[email-masked]>
Date: Wed, 20 Mar 2002 20:24:28 +0100

> Other core dumps I got are not so easily reproducible, pretty random.

I hope this is fixed now. The core dump come from a mysterious
random commit :o)

Olivier